%define upstream_name    MooseX-RelatedClassRoles
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Apply roles to a class related to yours
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildArch: noarch


%{?perl_default_filter}

%description
Frequently, you have to use a class that provides some 'foo_class' accessor
or attribute as a method of dependency injection. Use this role when you'd
rather apply roles to make your custom 'foo_class' instead of manually
setting up a subclass.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-8.mga6
+ Revision: 1030546
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.4.0-7.mga6
+ Revision: 929540
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 743425
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.4.0-5.mga5
+ Revision: 735850
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 685559
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 513205
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 370250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 29156
- mageia rebuild
- imported package perl-MooseX-RelatedClassRoles

